Need Help Updating BeagleBone Black A5A

27 views
Skip to first unread message

Bruce Skelly

unread,
Jul 10, 2020, 3:15:47 PM7/10/20
to BeagleBoard
Hi,

I have an old BeagleBone Black model A5A.  I haven't used in it in a while, and I'm trying to update the software.  Currently in the 2GB eMMC I have Debian Wheezy.  debian_version says 7.8.

Scripts in /opt/scripts/tools such as the script to update the kernel don't work due to a bad (expired?) TLS certificate.

Apt-get can't find the Wheezy package archives.

I'm attempting to upgrade the OS to Jessie.

Can someone give me some tips on what I should be doing?

Thanks,

Bruce

Mala Dies

unread,
Jul 11, 2020, 2:38:02 AM7/11/20
to BeagleBoard
Hello,

Please go to bbb.io/latest-images and use a SD Card instead of your eMMC. This way...you can have an updated image, get updated support, and have a working BBB. 

Seth

P.S. Also, if you do not press the S2 button on the BBB once booting w/ the new image, you may need to erase your eMMC data to move on to the new bootloader, i.e. as the eMMC sort of hold precedence over the SD Card in respect to the bootloader when booting. Please reply w/ any questions or if you get up and running soon. 

Reply all
Reply to author
Forward
0 new messages